{% load forum_extras %}
{% load i18n %}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title>AGEPoly {% block title %}{% endblock %}</title>
	<meta name="description" content="{{ forum_settings.FORUM_META_DESCRIPTION }} " />
	<meta name="keywords" content="{{ forum_settings.FORUM_META_KEYWORDS }}" />
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	
	{% set_theme_style user %}

	<link rel="alternate" type="application/atom+xml" href="{% url 'djangobb:forum_posts_feed' %}" title="{% trans "Latest posts on forum" %}" />
	<link rel="alternate" type="application/atom+xml" href="{% url 'djangobb:forum_topics_feed' %}" title="{% trans "Latest topics on forum" %}" />

	<link rel="shortcut icon" href="{{ STATIC_URL }}djangobb_forum/favicon.ico" type="image/png" />
	<script type="text/javascript">
		var STATIC_URL = "{{ STATIC_URL }}";
		var POST_PREVIEW_URL = "{% url 'djangobb:post_preview' %}";
	</script>
	{% if DEBUG %}
	   <script type="text/javascript" src="{{ STATIC_URL }}admin/js/jquery.js" onerror="JavaScript:alert('Error loading file [' + this.src + '] !');" ></script>
	{% else %}
    	<script type="text/javascript" src="{{ STATIC_URL }}admin/js/jquery.min.js" onerror="JavaScript:alert('Error loading file [' + this.src + '] !');" ></script>
	{% endif %}
	{% if user.is_authenticated %}
    	{% if post %}
            {% with markup=post.markup %}
                {% include "djangobb_forum/includes/markup_editor.html" %}
            {% endwith %}
        {% else %}
            {% with markup=user.forum_profile.markup %}
                {% include "djangobb_forum/includes/markup_editor.html" %}
            {% endwith %}
        {% endif %}
    	<script type="text/javascript">
    	   $(document).ready(function() {
    		$(".markup").markItUp(mySettings);
    	   });
    	</script>
	{% endif %}

    <!-- Highlightjs goodies -->
	<link type="text/css" rel="stylesheet" href="{{ STATIC_URL }}djangobb_forum/css/pygments.css" />
	{% if highlight_word %}
		<script type="text/javascript" src="{{ STATIC_URL }}djangobb_forum/js/jquery.highlight-3.pack.js"></script>
		<script type="text/javascript">
			$(document).ready(function(){
				$("div.postmsg").highlight("{{ highlight_word }}");
			});
		</script>
	{% endif %}
	{% block extra_meta %}{% endblock %}
</head>
<body>
    {% include 'djangobb_forum/header.html' %}

    {% block messages %}
        {% if messages %}
        <div id="messages" class="block">
            <h2><span>{% trans "Notice" %}</span></h2>
            <div class="box">
                <div class="inbox">
                    <ul class="messagelist">
                        {% for message in messages %}
                            <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                        {% endfor %}
                    </ul>
                </div>
            </div>
        </div>
        {% endif %}
    {% endblock messages %}

	{% block content %}{% endblock %}
	<div id="brdfooter" class="block">
	<h2><span>{% trans "Board footer" %}</span></h2>
        <div class="box">
            <div class="inbox">
                {% block controls %}
                    <dl id="searchlinks" class="conl">
                        <dt><strong>{% trans "Search links" %}</strong></dt>
                        <dd><a href="{% url 'djangobb:search' %}?action=show_24h">{% trans "Show recent posts" %}</a></dd>
                        <dd><a href="{% url 'djangobb:search' %}?action=show_unanswered">{% trans "Show unanswered posts" %}</a></dd>
                        {% if user.is_authenticated %}
                        <dd><a href="{% url 'djangobb:search' %}?action=show_subscriptions">{% trans "Show your subscribed topics" %}</a></dd>
                        <dd>{% trans "Show your" %} <a href="{% url 'djangobb:search' %}?action=show_user&show_as=topics">{% trans "topics" %}</a>/<a href="{% url 'djangobb:search' %}?action=show_user&show_as=posts">{% trans "posts" %}</a></dd>
                        {% endif %}
                    </dl>
                {% endblock controls %}
                <p class="conr">Powered by <a href="http://djangobb.org/">DjangoBB</a><br />
		Polydeg &copy; 2015<br />
		Agepinfo</p>
                <div class="clearer"></div>
                {% block lofi %}
                {% endblock lofi%}
            </div>
        </div>
    </div>
</div>
</div>
</body>
</html>
